//=============================================================================
// GreaselCompanion.
//=============================================================================
class GreaselCompanion extends Greasel;

function bool WillTakeStompDamage(actor stomper)
{
	return false;
}

function Deactivate()
{
        	local GreaselPet cd;
	local DeusExPlayer P;

	if ( (Owner != None) && Owner.IsA('DeusExPlayer') )
		P = DeusExPlayer(Owner);
	else
		P = DeusExPlayer(GetPlayerPawn());

        	cd = Spawn(class'GreaselPet', Self,, Location, Rotation);
		cd.respawntime = 0;
	Destroy();
	if ( P != None )
		P.ClientMessage("|p2Greasel Returned");
}

//function AcquireEnemy()
//{
//	local Pawn P;
//
//	for ( P=Level.PawnList; P!=None; P=P.NextPawn )
//	{
//		if ( SetEnemy(P) )
//			HandleEnemy();			
//	}
//}

function Frob(Actor Frobber, Inventory frobWith)
{
        	Deactivate();
}

function bool FilterDamageType(Pawn instigatedBy, Vector hitLocation,
                               Vector offset, Name damageType)
{
	if ( (instigatedBy != None) && (instigatedBy.IsA('MarkusGrayMale')) || (instigatedBy.IsA('GreaselCompanion')) )
		return false;
	else
		return Super.FilterDamageType(instigatedBy, hitLocation, offset, damageType);
}

function GotoDisabledState(name damageType, EHitLocation hitPos)
{
	if ( !bCollideActors && !bBlockActors && !bBlockPlayers )
		 return;
	else if ( CanShowPain() )
		TakeHit(hitPos);
	else
		GotoNextState();
}

function SupportActor(Actor standingActor)
{
}

function ComputeFallDirection(float totalTime, int numFrames, out vector moveDir, out float stopTime)
{
}

function PlayTurning()
{
	LoopAnimPivot('Walk');
}

function TweenToRunningAndFiring(float tweentime)
{
	bIsWalking = False;
	TweenAnimPivot('Run', tweentime);
}

function PlayRunningAndFiring()
{
	bIsWalking = False;
	LoopAnimPivot('Run');
}

function TweenToShoot(float tweentime)
{
	TweenAnimPivot('Still', tweentime);
}

function PlayShoot()
{
	LoopAnimPivot('BreatheLight',3,0.01);
}

function TweenToAttack(float tweentime)
{
	TweenAnimPivot('Attack', tweentime);
}

function PlayAttack()
{
	PlayAnimPivot('Attack');
}

function PlayFalling()
{
}

function TweenToWalking(float tweentime)
{
	bIsWalking = True;
	TweenAnimPivot('Walk', tweentime);
}

function PlayWalking()
{
	bIsWalking = True;
	LoopAnimPivot('Walk');
}

function TweenToRunning(float tweentime)
{
	bIsWalking = False;
	PlayAnimPivot('Run',, tweentime);
}

function PlayRunning()
{
	bIsWalking = False;
	LoopAnimPivot('Run');
}

function PlayDuck()
{
	TweenAnimPivot('Still', 0.25);
}

function PlayRising()
{
	PlayAnimPivot('Still');
}

function PlayCrawling()
{
	LoopAnimPivot('Still');
}

function PlayFiring()
{
	LoopAnimPivot('Attack',2,0.01);
}

function PlayReloadBegin()
{
}

function PlayReload()
{
}

function PlayReloadEnd()
{
}

defaultproperties
{
     MinHealth=25.000000
     RandomWandering=0.150000
     CarcassType=Class'Markistan.PetGreaselCarcass'
     Orders=Following
     WalkingSpeed=0.200000
     bAvoidAim=True
     AvoidAccuracy=0.750000
     bReactAlarm=True
     bFearIndirectInjury=False
     FireAngle=60.000000
     InitialAlliances(0)=(AllianceName=Commi,AllianceLevel=-1.000000,bPermanent=True)
     InitialAlliances(1)=(AllianceName=Dragon,AllianceLevel=-1.000000,bPermanent=True)
     InitialAlliances(2)=(AllianceName=Markistan,AllianceLevel=1.000000,bPermanent=True)
     EnemyTimeout=15.000000
     GroundSpeed=300.000000
     AirSpeed=750.000000
     AccelRate=2048.000000
     JumpZ=400.000000
     Health=250
     Alliance=Player
     DrawScale=0.750000
     CollisionRadius=16.000000
     CollisionHeight=12.439500
     Buoyancy=100.000000
     BindName="GreaselCompanion"
     FamiliarName="Pet Greasel"
     UnfamiliarName="Pet Greasel"
}
